function ToolsCenterBar2_OptionInit()
	local db = ToolsCenterBarDB2
	local tcb = ToolsCenterBar2
	local id
	local v = {}
	v.Header = {	text = "툴스 센터바2",
		tooltip = "툴스 센터바2 옵션을 설정합니다"
	}
	v.option ={
		{	type = "RadioButton",
			col = 4,
			text = "정렬방식",
			get = function() return db.Layout end,
			set = function(v)
				db.Layout = v
				if v <= 4 then
					db.GapWidth = db.GapWidth < 0 and 200 or db.GapWidth
				end
				ToolsOptionCore:Refresh()
				tcb:SetPoint()
			end,
			values = {	"타입1", "타입2", "타입3", "타입4",
					"12*1","6*2","4*3","3*4","2*6","1*12"},
		},
		{	type = "RadioButton",
			col = 3,
			text = "ID 설정",
			get = function() return db.SetID end,
			set = function(v)
				db.SetID = v
				tcb:SetID()
				for i = 1, 12 do
					self = getglobal("ToolsCenterButton"..i)
					ActionButton_Update()
				end
			end,
			values = {"13~24 (shift+2번)", "109~120", "73~84", "85~96", "97~108"},
			tooltips = {"shift+2 번의 버튼들을 사용합니다",
				    "태세전환과 겹치지 않는 109~120번까지의 버튼들을 사용합니다\n드루이드는....;",
				    "**주의** 73~84번을 이용합니다","**주의** 85~96번을 이용합니다","**주의** 97~108번을 이용합니다"
				    }
		},
		{	type = "Title",
			text = "세부설정"
		},
		{	type = "Slider",
			text = "대칭거리",
			get = function() return db.GapWidth end,
			set = function(v)
				db.GapWidth = (db.Layout < 5 and v < 0) and 0 or v
				tcb:SetPoint()
				ToolsOptionCore:Refresh(id)
			end,
			minmax = {-1000, 1000},
			step = 1,
			tooltip = "좌우간 서로 떨어질 거리를 설정합니다",
		},
		{	type = "Slider",
			text = "세로위치",
			get = function() return db.YPoint end,
			set = function(v)
				db.YPoint  = v
				tcb:SetPoint()
			end,
			minmax = {-800, 800},
			step = 1,
			tooltip = "세로위치(높이)를 설정합니다",
		},
		{	type = "Slider",
			text = "버튼간격",
			get = function() return db.GapButton end,
			set = function(v)
				db.GapButton  = v
				tcb:SetPoint()
			end,
			minmax = {0,25},
			step = 1,
			tooltip = "버튼과 버튼과의 간격을 설정합니다",
		},
		{	type = "Slider",
			text = "엇갈림조정",
			disable = function() return db.Layout > 3 end,
			get = function() return db.tilt end,
			set = function(v)
				db.tilt = v
				tcb:SetPoint()
			end,
			minmax = {-20, 20},
			step = 1,
			tooltip = "서로간의 버튼의 엇갈려지는 정도를 설정합니다",
		},
		{	type = "Slider",
			text = "크기",
			get = function() return db.Scale end,
			set = function(v)
				db.Scale  = v
				tcb:SetScale()
			end,
			minmax = {0.4, 2},
			step = 0.01,
			tooltip = "버튼의 크기를 설정합니다",
		},
		{	type = "CheckButton",
			text = "투명도 기능을 사용합니다",
			get = function() return db.UseEvent end,
			set = function(v)
				db.UseEvent = v
				tcb:SetAlpha()
				ToolsOptionCore:Refresh(id)
			end,
		},
		{	type = "Slider",
			text = "투명도",
			disable = function() return not db.UseEvent and true end,
			get = function() return db.Alpha end,
			set = function(v)
				db.Alpha = v
				tcb:SetAlpha()
				ToolsOptionCore:Refresh(id)
			end,
			minmax = {0, 0.6},
			step = 0.01,
			tooltip = "버튼의 투명도를 설정합니다(전투시, 적대적 선택시 진해짐)",
		},
		{	type = "Slider",
			text = "시간",
			disable = function() return db.Alpha == 1 or not db.UseEvent and true end,
			get = function() return db.FadeTime end,
			set = function(v) db.FadeTime  = v end,
			minmax = {0, 0.6},
			step = 0.05,
			tooltip = "투명할때 숨기고 나타날때의 시간을 지정합니다\n버튼의 드래그&드랍으로 확인가능합니다",
		},
		ToolsOptionCore.Get:Texture(
			{get = function() return db.Overlay end,
			set = function(v)
				db.Overlay = v
				tcb:SetTexture()
			end},
			{get = function() return db.BT3 end,
			set = function(v)
				db.BT3 = v
				tcb:SetTexture()
			end})
	}
	id = ToolsOptionCore:RegesterOption(v)
end
ToolsOptionCore:Insert("ToolsCenterBar2")